package org.dromara.system.service;

import org.dromara.system.domain.bo.SysPhoneBo;
import org.dromara.system.domain.vo.SysPhoneVo;

/**
 * 联系电话 Service 接口
 *
 * @author Antigravity
 */
public interface ISysPhoneService {

    /**
     * 查询联系电话（单例）
     */
    SysPhoneVo queryById(Long id);

    /**
     * 修改联系电话，返回最新 VO 用于刷新缓存
     */
    SysPhoneVo updateByBo(SysPhoneBo bo);

}
